<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ForeignHaiRobotic_processedRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'workStation'=>'nullable',
            'binCode'=>'required',
            'success'=>'required|bool',
            'created_at'=>'nullable',
            'exception'=>'nullable',
            'is_in_plan'=>'nullable|bool',
        ];
    }
}
